<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>practica1ej6</title>
</head>
<body>
	<script type="text/javascript">
		let letras=['T','R','W','A','G','M','Y','F','P','D','X','B','N','J','Z','S','Q','V','H','L','C','K','E','T'];
		let dni=parseInt(prompt("Introduzca el numero de su DNI"));
		let ltdni=prompt("Introduzca la letra de su DNI")
		let letradni=0;

		if (dni<0 || dni>99999999) {
			document.write("el numero introducido no es válido");
		}else{
			letradni=dni%23;
			letras[letradni];

		}
		
		if(ltdni!=letras[letradni]){
			document.write("La letra introducida no es correcta");
		}else{
			document.write("La letra y el numero del DNI son correctos");
		}
	</script>	
</body>
</html>